## r-cran-gfonts 0.2.0

=== DESCRIPTION ===
Package: gfonts
Title: Offline 'Google' Fonts for 'Markdown' and 'Shiny'
Version: 0.2.0
Authors@R: c(
  person("Victor", "Perrier", email = "victor.perrier@dreamrs.fr", role = c("aut", "cre")),
  person("Fanny", "Meyer", role = "aut"),
  person("Mario", "Ranftl", role = c("ctb", "cph"), comment = "google-webfonts-helper"))
Description: Download 'Google' fonts and generate 'CSS' to use in 'rmarkdown' documents and 
  'shiny' applications. Some popular fonts are included and ready to use.
URL: https://dreamrs.github.io/gfonts/,
        https://github.com/dreamRs/gfonts
BugReports: https://github.com/dreamRs/gfonts/issues
License: GPL-3
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
Imports: utils, htmltools, shiny, crul, jsonlite, glue, crayon
RoxygenNote: 7.2.2
Suggests: knitr, rmarkdown, testthat (>= 2.1.0), vcr, covr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2023-01-08 18:26:46 UTC; victor
Author: Victor Perrier [aut, cre],
  Fanny Meyer [aut],
  Mario Ranftl [ctb, cph] (google-webfonts-helper)
Maintainer: Victor Perrier <victor.perrier@dreamrs.fr>
Repository: CRAN
Date/Publication: 2023-01-08 18:50:02 UTC

=== debian/changelog ===
r-cran-gfonts (0.2.0-3) unstable; urgency=medium

  * Exclude copy of OpenSans font from moving it to general fonts dir
    Closes: #1054597

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2023 17:11:36 +0100

r-cran-gfonts (0.2.0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 19:39:06 +0200

r-cran-gfonts (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #1029203)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 17:00:17 +0100

=== debian/control ===
Source: r-cran-gfonts
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gfonts
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gfonts.git
Homepage: https://cran.r-project.org/package=gfonts
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-htmltools,
               r-cran-shiny,
               r-cran-crul,
               r-cran-jsonlite,
               r-cran-glue,
               r-cran-crayon
Testsuite: autopkgtest-pkg-r

Package: r-cran-gfonts
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: offline 'Google' Fonts for 'Markdown' and 'Shiny' for GNU R
 Download 'Google' fonts and generate 'CSS' to use in 'rmarkdown' documents and
 'shiny' applications. Some popular fonts are included and ready to use.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/usr/share/fonts/truetype/gfonts
	cd debian/$(DEB_SOURCE) ; \
	for font in `find usr -name "*.ttf" -o -name "*.woff*"` ; do \
	  if echo $${font} | grep -q -v "/open-sans" ; then \
	    fontfam=`echo $${font} | sed 's%^.*/\([^/]\+\)/[^/]\+\.[tw][to]f\+2*$$%\1%'` ; \
	    echo $${fontfam} ; \
	    mkdir -p usr/share/fonts/truetype/gfonts/$${fontfam} ; \
	    mv $${font} usr/share/fonts/truetype/gfonts/$${fontfam} ; \
	    ln -s /usr/share/fonts/truetype/gfonts/$${fontfam}/`basename $$font` `dirname $$font` ; \
	  fi ; \
	done

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 2.1.0),
        r-cran-vcr,
        r-cran-covr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gfonts_([-\d.]*)\.tar\.gz
